Bug 1313493 - [DOCS] Instructions on using the templates supplied by RedHat in the Openshift Project
[DOCS] Instructions on using the templates supplied by RedHat in the Openshif...
Status: CLOSED CANTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 12:13 EST by Ryan Howe
Modified: 2017-02-15 00:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-17 08:41:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-03-01 12:13:46 EST
Document URL:  https://docs.openshift.com/enterprise/3.1/using_images/other_images/index.html


Describe the issue:  The 50 or so template we provide do not have any enterprise documentation. These templates are added to all installs and each one provided needs to be documented on use and parameters that can be configured. 


Suggestions for improvement: 
- Separate section titled "Using Red Hat Templates"  

- With each template document with following this example. 
https://github.com/jboss-openshift/application-templates/blob/master/docs/webserver/jws30-tomcat8-https-s2i.adoc



Additional information: 

Other Template Docs:
https://github.com/openshift/cakephp-ex.git
https://github.com/openshift/cakephp-ex.git
https://github.com/openshift/dancer-ex.git
https://github.com/openshift/dancer-ex.git
https://github.com/openshift/django-ex.git
https://github.com/openshift/django-ex.git
https://github.com/openshift/nodejs-ex.git
https://github.com/openshift/nodejs-ex.git
https://github.com/openshift/rails-ex.git



XPAAS Template and Image Docs:

https://github.com/jboss-openshift/application-templates/tree/master/docs
https://github.com/jboss-openshift/application-templates
http://ce-docs.usersys.redhat.com/openshift/webserver-tomcat8/3.0/s2i.html


**List of images.

┌─[root@master1]─[~]
└──> oc get templates -n openshift
NAME                                      DESCRIPTION                                                                        PARAMETERS        OBJECTS
amq62-basic                               Application template for JBoss A-MQ brokers. These can be deployed as standal...   9 (2 blank)       5
amq62-persistent                          Application template for JBoss A-MQ brokers. These can be deployed as standal...   9 (2 blank)       6
amq62-persistent-ssl                      Application template for JBoss A-MQ brokers. These are deployed as standalone...   14 (4 blank)      10
amq62-ssl                                 Application template for JBoss A-MQ brokers. These can be deployed as standal...   14 (4 blank)      9
cakephp-example                           An example CakePHP application with no database                                    14 (8 blank)      5
cakephp-mysql-example                     An example CakePHP application with a MySQL database                               14 (3 blank)      7
dancer-example                            An example Dancer application with no database                                     7 (4 blank)       5
dancer-mysql-example                      An example Dancer application with a MySQL database                                13 (4 blank)      7
datagrid65-basic                          Application template for JDG 6.5 applications.                                     11 (6 blank)      5
datagrid65-https                          Application template for JDG 6.5 applications.                                     20 (11 blank)     7
datagrid65-mysql                          Application template for JDG 6.5 and MySQL applications.                           32 (19 blank)     9
datagrid65-mysql-persistent               Application template for JDG 6.5 and MySQL applications with persistent storage.   33 (19 blank)     10
datagrid65-postgresql                     Application template for JDG 6.5 and PostgreSQL applications built using.          29 (16 blank)     9
datagrid65-postgresql-persistent          Application template for JDG 6.5 and PostgreSQL applications with persistent...    30 (16 blank)     10
decisionserver62-amq-s2i                  Application template for BRMS Realtime Decision Server 6 A-MQ applications bu...   26 (3 blank)      9
decisionserver62-basic-s2i                Application template for BRMS Realtime Decision Server 6 applications built u...   14 (3 blank)      5
decisionserver62-https-s2i                Application template for BRMS Realtime Decision Server 6 HTTPS applications b...   21 (4 blank)      7
django-example                            An example Django application with no database                                     12 (9 blank)      5
django-psql-example                       An example Django application with a PostgreSQL database                           12 (4 blank)      7
eap64-amq-persistent-s2i                  Application template for EAP 6 A-MQ applications with persistent storage buil...   27 (6 blank)      10
eap64-amq-s2i                             Application template for EAP 6 A-MQ applications built using S2I.                  26 (6 blank)      9
eap64-basic-s2i                           Application template for EAP 6 applications built using S2I.                       12 (3 blank)      5
eap64-https-s2i                           Application template for EAP 6 applications built using S2I.                       21 (8 blank)      7
eap64-mongodb-persistent-s2i              Application template for EAP 6 MongDB applications with persistent storage bu...   33 (15 blank)     10
eap64-mongodb-s2i                         Application template for EAP 6 MongDB applications built using S2I.                32 (15 blank)     9
eap64-mysql-persistent-s2i                Application template for EAP 6 MySQL applications with persistent storage bui...   34 (16 blank)     10
eap64-mysql-s2i                           Application template for EAP 6 MySQL applications built using S2I.                 33 (16 blank)     9
eap64-postgresql-persistent-s2i           Application template for EAP 6 PostgreSQL applications with persistent storag...   31 (13 blank)     10
eap64-postgresql-s2i                      Application template for EAP 6 PostgreSQL applications built using S2I.            30 (13 blank)     9
jenkins-ephemeral                         Jenkins service, without persistent storage. WARNING: Any data stored will be...   2 (all set)       3
jenkins-persistent                        Jenkins service, with persistent storage.                                          3 (all set)       4
jws30-tomcat7-basic-s2i                   Application template for JWS applications built using S2I.                         10 (1 blank)      5
jws30-tomcat7-https-s2i                   Application template for JWS applications built using S2I.                         15 (3 blank)      7
jws30-tomcat7-mongodb-persistent-s2i      Application template for JWS MongoDB applications with persistent storage bui...   27 (10 blank)     10
jws30-tomcat7-mongodb-s2i                 Application template for JWS MongoDB applications built using S2I.                 26 (10 blank)     9
jws30-tomcat7-mysql-persistent-s2i        Application template for JWS MySQL applications with persistent storage built...   28 (11 blank)     10
jws30-tomcat7-mysql-s2i                   Application template for JWS MySQL applications built using S2I.                   27 (11 blank)     9
jws30-tomcat7-postgresql-persistent-s2i   Application template for JWS PostgreSQL applications with persistent storage...    25 (8 blank)      10
jws30-tomcat7-postgresql-s2i              Application template for JWS PostgreSQL applications built using S2I.              24 (8 blank)      9
jws30-tomcat8-basic-s2i                   Application template for JWS applications built using S2I.                         10 (1 blank)      5
jws30-tomcat8-https-s2i                   Application template for JWS applications built using S2I.                         15 (3 blank)      7
jws30-tomcat8-mongodb-persistent-s2i      Application template for JWS MongoDB applications with persistent storage bui...   27 (10 blank)     10
jws30-tomcat8-mongodb-s2i                 Application template for JWS MongoDB applications built using S2I.                 26 (10 blank)     9
jws30-tomcat8-mysql-persistent-s2i        Application template for JWS MySQL applications with persistent storage built...   28 (11 blank)     10
jws30-tomcat8-mysql-s2i                   Application template for JWS MySQL applications built using S2I.                   27 (11 blank)     9
jws30-tomcat8-postgresql-persistent-s2i   Application template for JWS PostgreSQL applications with persistent storage...    25 (8 blank)      10
jws30-tomcat8-postgresql-s2i              Application template for JWS PostgreSQL applications built using S2I.              24 (8 blank)      9
logging-deployer-template                 Template for deploying everything needed for aggregated logging. Requires clu...   19 (10 blank)     1
metrics-deployer-template                 Template for deploying the required Metrics integration. Requires cluster-adm...   9 (1 blank)       1
mongodb-ephemeral                         MongoDB database service, without persistent storage. WARNING: Any data store...   5 (3 generated)   2
mongodb-persistent                        MongoDB database service, with persistent storage. Scaling to more than one r...   6 (3 generated)   3
mysql-ephemeral                           MySQL database service, without persistent storage. WARNING: Any data stored...    4 (2 generated)   2
mysql-persistent                          MySQL database service, with persistent storage. Scaling to more than one rep...   5 (2 generated)   3
nodejs-example                            An example Node.js application with no database                                    11 (8 blank)      5
nodejs-mongodb-example                    An example Node.js application with a MongoDB database                             11 (3 blank)      7
postgresql-ephemeral                      PostgreSQL database service, without persistent storage. WARNING: Any data st...   4 (2 generated)   2
postgresql-persistent                     PostgreSQL database service, with persistent storage. Scaling to more than on...   5 (2 generated)   3
rails-postgresql-example                  An example Rails application with a PostgreSQL database                            15 (3 blank)      7

Note You need to log in before you can comment on or make changes to this bug.